#!/usr/bin/env python
import usb.core, array, time

def getData(rawData):
        sensor = rawData[3] * 256 + rawData[2]
        tempRaw = rawData[4] * 256 + rawData[5]
        clock = rawData[7] * 256 + rawData[6]
        temp = 0.0078 * tempRaw
        return clock, sensor, tempRaw, temp

def collect(dev):
        dataDown = array.array('B', [0]*64)
        dataDown[0] = 4
        dev.write(0x1, dataDown, 0)
        dataDown[0] = 3
        while True:
                dev.write(0x1, dataDown, 0)
                rd = dev.read(0x81, 64, 0)
                if rd[1] != 0:
                        d = getData(rd)
                        print d
                        logData(d, rd)
                time.sleep(10)

def logData(d, rd):
        tmp = "\t".join([str(i) for i in rd])
        logfile.write("%s\t%d\t%d\t%d\t%g\t%s\n" % (time.time(),
                d[0], d[1], d[2], d[3], tmp))

if __name__ == "__main__":
        dev = usb.core.find(idVendor=0x0451, idProduct=0x3211)
        logfile = open("temp.txt", "a")
        collect(dev)
